Bug 179243 - Add CPU(UNKNOWN) to cover all the unknown CPU types
Summary: Add CPU(UNKNOWN) to cover all the unknown CPU types
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-03 08:07 PDT by Yusuke Suzuki
Modified: 2017-11-19 17:42 PST (History)
8 users (show)

See Also:


Attachments
Patch (11.22 KB, patch)
2017-11-03 08:11 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (11.58 KB, patch)
2017-11-03 08:32 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (11.74 KB, patch)
2017-11-03 09:08 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (11.75 KB, patch)
2017-11-03 09:21 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (11.00 KB, patch)
2017-11-19 02:14 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (10.97 KB, patch)
2017-11-19 02:15 PST, Yusuke Suzuki
jfbastien: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2017-11-03 08:07:34 PDT
Add CPU(UNKNOWN) to absorb all the unknown CPU types
Comment 1 Yusuke Suzuki 2017-11-03 08:11:51 PDT
Created attachment 325894 [details]
Patch
Comment 2 Build Bot 2017-11-03 08:13:12 PDT
Attachment 325894 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/InlineASM.h:68:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Yusuke Suzuki 2017-11-03 08:15:33 PDT
This patch's intent is dropping listing so many CPUs. They should be covered as CPU(UNKNOWN). This approach is good for the future CPU addition. If your CPU breaks CPU(UNKNOWN)'s conservative assumption, you should add it as a new CPU.
Comment 4 Yusuke Suzuki 2017-11-03 08:32:12 PDT
Created attachment 325899 [details]
Patch
Comment 5 Build Bot 2017-11-03 08:34:35 PDT
Attachment 325899 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/InlineASM.h:70:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Yusuke Suzuki 2017-11-03 09:08:09 PDT
Created attachment 325900 [details]
Patch
Comment 7 Build Bot 2017-11-03 09:10:51 PDT
Attachment 325900 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/InlineASM.h:70:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Yusuke Suzuki 2017-11-03 09:21:07 PDT
Created attachment 325901 [details]
Patch
Comment 9 Build Bot 2017-11-03 09:24:10 PDT
Attachment 325901 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/InlineASM.h:70:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Yusuke Suzuki 2017-11-18 06:11:47 PST
Comment on attachment 325901 [details]
Patch

Let's fix things and remove HPPA!
Comment 11 Yusuke Suzuki 2017-11-19 02:14:26 PST
Created attachment 327340 [details]
Patch
Comment 12 Yusuke Suzuki 2017-11-19 02:15:55 PST
Created attachment 327341 [details]
Patch
Comment 13 Yusuke Suzuki 2017-11-19 02:16:57 PST
Let's drop bunch of minor CPUs without dropping their support :D
Comment 14 EWS Watchlist 2017-11-19 02:18:57 PST
Attachment 327341 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/InlineASM.h:70:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 JF Bastien 2017-11-19 06:12:47 PST
Comment on attachment 327341 [details]
Patch

This will potentially break stuff, are there folks who care about these architectures who need a heads up?

Otherwise r=me
Comment 16 Yusuke Suzuki 2017-11-19 17:38:00 PST
(In reply to JF Bastien from comment #15)
> Comment on attachment 327341 [details]
> Patch
> 
> This will potentially break stuff, are there folks who care about these
> architectures who need a heads up?
> 
> Otherwise r=me

I think dropped architectures (ALPHA, HPPA, IA64, SH4, S390X, S390) are not maintained by WebKit folks. They continue to work. But explicit defines are removed and handled as CPU(UNKNOWN). I'll send a mail to webkit-dev for a heads-up.
Comment 17 Yusuke Suzuki 2017-11-19 17:41:37 PST
Committed r225040: <https://trac.webkit.org/changeset/225040>
Comment 18 Radar WebKit Bug Importer 2017-11-19 17:42:45 PST
<rdar://problem/35639446>